Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.crm
Class VCardLoader

    java.lang.Object
      com.knowgate.crm.VCardLoader

All Implemented Interfaces:
  ImportLoader

    public class VCardLoader

extends java.lang.Object
implements ImportLoader

Load Company and Address data from a VCard Record

Company loader creates or updates simultaneously registers at k_contacts, k_companies and k_addresses tables and the links between them k_x_contact_addr.

Field Summary
`static int` | `MODE_APPEND`
`static int` | `MODE_APPENDUPDATE`
`static int` | `MODE_UPDATE`
`static int` | `NO_DUPLICATED_MAILS`
`static int` | `NO_DUPLICATED_NAMES`
`static int` | `WRITE_ADDRESSES`
`static int` | `WRITE_COMPANIES`
`static int` | `WRITE_CONTACTS`
`static int` | `WRITE_LOOKUPS`

Fields inherited from interface com.knowgate.hipergate.datamodel.ImportLoader
`LOOUKP_TR_COLUMNS, LOOUKP_TR_COUNT`

Constructor Summary
`VCardLoader()` Default Constructor
`VCardLoader(java.sql.Connection oConn)` Create ContactLoader and call prepare() on Connection

Method Summary
`void` | `close()` Method close
`int` | `columnCount()` Get columns count
`java.lang.String[]` | `columnNames()` Get array of column names
`java.lang.Object` | `get(int iColumnIndex)` Method get
`java.lang.Object` | `get(java.lang.String sColumnName)` Method get
`int` | `getColumnIndex(java.lang.String sColumnName)` Method getColumnIndex
`void` | `prepare(java.sql.Connection oConn, ColumnList oCols)` Method prepare
`void` | `put(java.util.HashMap<java.lang.String,java.lang.String> oVCard)`
`void` | `put(int iColumnIndex, java.lang.Object oValue)` Method put
`void` | `put(java.lang.String sColumnName, java.lang.Object oValue)` Method put
`void` | `setAllColumnsToNull()` Method setAllColumnsToNull
`void` | `store(java.sql.Connection oConn, java.lang.String sWorkArea)`
`void` | `store(java.sql.Connection oConn, java.lang.String sWorkArea, int iFlags)` Method store

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_APPEND

    public static final int MODE_APPEND

See Also:
  Constant Field Values

### MODE_UPDATE

    public static final int MODE_UPDATE

See Also:
  Constant Field Values

### MODE_APPENDUPDATE

    public static final int MODE_APPENDUPDATE

See Also:
  Constant Field Values

### WRITE_LOOKUPS

    public static final int WRITE_LOOKUPS

See Also:
  Constant Field Values

### WRITE_CONTACTS

    public static final int WRITE_CONTACTS

See Also:
  Constant Field Values

### WRITE_ADDRESSES

    public static final int WRITE_ADDRESSES

See Also:
  Constant Field Values

### WRITE_COMPANIES

    public static final int WRITE_COMPANIES

See Also:
  Constant Field Values

### NO_DUPLICATED_NAMES

    public static final int NO_DUPLICATED_NAMES

See Also:
  Constant Field Values

### NO_DUPLICATED_MAILS

    public static final int NO_DUPLICATED_MAILS

See Also:
  Constant Field Values

Constructor Detail

### VCardLoader

    public VCardLoader()

  Default Constructor

### VCardLoader

    public VCardLoader(java.sql.Connection oConn)
                throws java.sql.SQLException

  Create ContactLoader and call prepare() on Connection

  Parameters:
    `oConn` - Connection
  Throws:
    `java.sql.SQLException`

Method Detail

### columnCount

    public int columnCount()

  Description copied from interface: `ImportLoader`
  Get columns count

  Specified by:
    `columnCount` in interface `ImportLoader`
  Returns:
    int

### columnNames

    public java.lang.String[] columnNames()
                                   throws java.lang.IllegalStateException

  Description copied from interface: `ImportLoader`
  Get array of column names

  Specified by:
    `columnNames` in interface `ImportLoader`
  Returns:
    String[]
  Throws:
    `java.lang.IllegalStateException`

### get

    public java.lang.Object get(int iColumnIndex)
                         throws java.lang.ArrayIndexOutOfBoundsException

  Method get

  Specified by:
    `get` in interface `ImportLoader`
  Parameters:
    `iColumnIndex` -
  Returns:
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### get

    public java.lang.Object get(java.lang.String sColumnName)
                         throws java.lang.ArrayIndexOutOfBoundsException

  Method get

  Specified by:
    `get` in interface `ImportLoader`
  Parameters:
    `sColumnName` -
  Returns:
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### getColumnIndex

    public int getColumnIndex(java.lang.String sColumnName)

  Method getColumnIndex

  Specified by:
    `getColumnIndex` in interface `ImportLoader`
  Parameters:
    `sColumnName` -
  Returns:

### put

    public void put(int iColumnIndex,
                    java.lang.Object oValue)
             throws java.lang.ArrayIndexOutOfBoundsException

  Method put

  Specified by:
    `put` in interface `ImportLoader`
  Parameters:
    `iColumnIndex` -
    `oValue` -
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### put

    public void put(java.lang.String sColumnName,
                    java.lang.Object oValue)
             throws java.lang.ArrayIndexOutOfBoundsException

  Method put

  Specified by:
    `put` in interface `ImportLoader`
  Parameters:
    `sColumnName` -
    `oValue` -
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### put

    public void put(java.util.HashMap<java.lang.String,java.lang.String> oVCard)

### setAllColumnsToNull

    public void setAllColumnsToNull()

  Method setAllColumnsToNull

  Specified by:
    `setAllColumnsToNull` in interface `ImportLoader`

### prepare

    public void prepare(java.sql.Connection oConn,
                        ColumnList oCols)
                 throws java.sql.SQLException

  Method prepare

  Specified by:
    `prepare` in interface `ImportLoader`
  Parameters:
    `oConn` -
    `oCols` -
  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Method close

  Specified by:
    `close` in interface `ImportLoader`
  Throws:
    `java.sql.SQLException`

### store

    public void store(java.sql.Connection oConn,
                      java.lang.String sWorkArea,
                      int iFlags)
               throws java.sql.SQLException,
                      java.lang.IllegalArgumentException,
                      java.lang.NullPointerException

  Method store

  Specified by:
    `store` in interface `ImportLoader`
  Parameters:
    `oConn` -
    `sWorkArea` -
    `iFlags` -
  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### store

    public void store(java.sql.Connection oConn,
                      java.lang.String sWorkArea)
               throws java.sql.SQLException,
                      java.lang.IllegalArgumentException,
                      java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD